package de.netxp.smscreator;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.nio.charset.Charset;

/**
 * Test class to send a sms over the soap interface of the
 * smscreator.
 *  
 * @author Rainer.Obermeier
 */
public class SoapConnectorTest {

	/**
	 * Constructor
	 */
	private SoapConnectorTest() {
	}

	/**
	 * This asks for the necessary informations and
	 * sends an sms with it.
	 * 
	 * @throws Exception if an input has an error.
	 */
	public void sendText() throws Exception {
		InputStreamReader isr = new InputStreamReader(System.in, Charset.forName("ISO-8859-1"));
        BufferedReader input = new BufferedReader(isr);		
        
        System.out.print("User: ");
        String user = input.readLine().trim();
        
        System.out.print("Password: ");
        String pw = input.readLine().trim();
        
        System.out.print("Caption: ");
        String caption = input.readLine().trim();
        
        System.out.print("Receipient: ");
        String receipeint = input.readLine().trim();
        
        System.out.print("Text: ");
        String text = input.readLine().trim();
        
		try {
			System.out.println("Sending SMS");
			
			de.cetix.SendSMS.Send service = new de.cetix.SendSMS.SendLocator();
			de.cetix.SendSMS.SendSoap sendSoap = service.getSendSoap();
			sendSoap.sendText(
					user, 
					pw, 
					caption, 
					"", 
					receipeint, 
					text, 
					"6", 
					"");

			System.out.println("SMS successfully sent.");			
		}
		catch (Exception ex) {
			System.out.println("Error while sending SMS: " + ex.getMessage());			
		}
	}
	
	/**
	 * Example.
	 * 
	 * @param args
	 * @throws Exception
	 */
	public static void main(String[] args) throws Exception {
		SoapConnectorTest sct = new SoapConnectorTest();
		sct.sendText();
	}
	
}
